Package twisted :: Package im :: Module proxyui :: Class IRCUIFactory

[frames | no frames]

## Class IRCUIFactory

    Factory --+
              |
             IRCUIFactory

Method Summary
| `buildProtocol(self)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`NoneType` | `ircui` = None
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Class Variable Details

### ircui

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Wed Feb 25 07:37:50 2004 | http://epydoc.sf.net